Bug 150450 - Port updates: multimedia/libdvdread and multimedia/libdvdnav - update to 4.1.4, svn rev 1217
Summary: Port updates: multimedia/libdvdread and multimedia/libdvdnav - update to 4.1....
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Max Brazhnikov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-09-09 21:50 UTC by ganael.laplanche
Modified: 2010-09-15 18:20 UTC (History)
0 users

See Also:


Attachments
file.diff (16.64 KB, patch)
2010-09-09 21:50 UTC, ganael.laplanche
no flags Details | Diff
libdvdread.diff (3.77 KB, patch)
2010-09-12 20:11 UTC, Max Brazhnikov
no flags Details | Diff
patch-libdvdread-libdvdnav.txt (816 bytes, patch)
2010-09-15 14:56 UTC, ganael.laplanche
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description ganael.laplanche 2010-09-09 21:50:02 UTC
This patch updates multimedia/libdvdread and multimedia/libdvdnav to their latest version : 4.1.4, svn rev 1217.
Since no official release is available, files are hosted on my server.

Changes :
*********

Several functions have been added :

For dvdnav :
- dvdnav_program_play()
- dvdnav_current_title_program()
- dvdnav_get_serial_string()
- dvdnav_get_video_resolution()
- vm_get_video_res()
- vm_jump_title_program()

For dvdread :
- DVDFileStat()

Compatibility :
***************

The new libdvdnav should be 100% binary compatible with the previous one.

For libdvdread, the following functions have become static ones, so they are no more provided by the library :

- ifo_print_C_ADT()
- ifo_print_PGC()
- ifo_print_PGCIT()
- ifo_print_PGCI_UT()
- ifo_print_PTL_MAIT()
- ifo_print_TT_SRPT()
- ifo_print_VMGI_MAT()
- ifo_print_VOBU_ADMAP()
- ifo_print_VTSI_MAT()
- ifo_print_VTS_ATRT()
- ifo_print_VTS_PTT_SRPT()
- ifo_print_VTS_TMAPT()
- ifo_print_menu_name()

As a result, the new dvdread is *not* binary compatible with the old one and the following dependant ports' revisions have been bumped :

multimedia/dvdauthor
multimedia/gmerlin-avdecoder
multimedia/gstreamer-plugins
multimedia/k9copy
multimedia/kissdx
multimedia/ldvd
multimedia/libdvdplay
multimedia/libxine
multimedia/lsdvd
multimedia/lxdvdrip
multimedia/mmpython
multimedia/mplayerxp
multimedia/ogle
multimedia/ogmrip
multimedia/ogmtools
multimedia/py-kaa-metadata
multimedia/streamanalyze
multimedia/streamdvd
multimedia/transcode
multimedia/vamps
multimedia/vlc
net/wizd
sysutils/dvdbackup
sysutils/k3b-kde4
sysutils/k3b
sysutils/vobcopy
sysutils/vstrip

All of those ports have compiled successfully on my Tinderbox, except mplayerxp (Win32 codecs-related problem).

Finally, if possible, it would be great if the two distfiles could be mirrored on a FreeBSD server.

Fix: Patch attached with submission follows:
Comment 1 Max Brazhnikov freebsd_committer 2010-09-09 22:54:32 UTC
Responsible Changed
From-To: freebsd-ports-bugs->makc

I'll take it.
Comment 2 Max Brazhnikov freebsd_committer 2010-09-12 20:11:35 UTC
Hi Ganael,

Please, review the patch for libdvdread port. I propose to increase library 
version from 4 to 5 (since new libdvdread is not binary compatible with 
previous one) and change PORTVERSION to 4.1.4.r${svnrev} to avoid PORTEPOCH 
bump if/when 4.1.4 will be released officially.

Regards,
Max
Comment 3 ganael.laplanche 2010-09-12 22:06:15 UTC
On Sun, 12 Sep 2010 23:11:35 +0400, Max Brazhnikov wrote

Mi Max,

> Please, review the patch for libdvdread port. I propose to increase 
> library version from 4 to 5 (since new libdvdread is not binary 
> compatible with previous one)

You're right, it would have been a good idea to avoid any mistake. *But*, I see
two major problems :

1) dvdread.5 was the version used *before* the switch to mplayer's version
(which went back to dvdread.4). See :

http://www.freebsd.org/cgi/cvsweb.cgi/ports/multimedia/libdvdread/pkg-plist.diff?r1=1.5;r2=1.6;f=h

for a diff of the plist file once we switched. It may confuse older versions of
FreeBSD thinking the new lib is installed while the old one is.

2) I dislike the idea of supporting a special 'FreeBSD-only' version of the lib.
We will have to name it .6 when version .5 is out and we may have to keep
managing our own version scheme for ever.

Anyway, if 2) is acceptable 1) can be avoided by numbering the lib .6. It would
be the best solution, but it may seem overkill.

Personally, I would opt for a PORTREVISION bump of dependent ports only, as the
ifo_print_* functions that have disappeared are not used by any port (only the
ifo_print() function, still provided, is used by 1 port : multimedia/ogle).

> and change PORTVERSION to 
> 4.1.4.r${svnrev} to avoid PORTEPOCH bump if/when 4.1.4 will be 
> released officially.

Ooops, you're right, this is a big mistake, sorry !

Best regards,

Ganael LAPLANCHE
ganael.laplanche@martymac.org
http://www.martymac.org | http://contribs.martymac.org
Comment 4 dfilter freebsd_committer 2010-09-14 19:57:08 UTC
makc        2010-09-14 18:57:03 UTC

  FreeBSD ports repository

  Modified files:
    multimedia/libdvdread Makefile distinfo pkg-plist 
    multimedia/libdvdread/files patch-configure2 
  Log:
  Update to 4.1.4.r1217
  
  PR:             ports/150450
  Submitted by:   Ganael Laplanche (maintainer)
  
  Revision  Changes    Path
  1.35      +8 -9      ports/multimedia/libdvdread/Makefile
  1.9       +3 -3      ports/multimedia/libdvdread/distinfo
  1.2       +27 -5     ports/multimedia/libdvdread/files/patch-configure2
  1.7       +6 -6      ports/multimedia/libdvdread/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 dfilter freebsd_committer 2010-09-14 19:57:22 UTC
makc        2010-09-14 18:57:18 UTC

  FreeBSD ports repository

  Modified files:
    multimedia/libdvdnav Makefile distinfo pkg-plist 
    multimedia/libdvdnav/files patch-configure2 
  Log:
  Update to 4.1.4.r1217
  
  PR:             ports/150450
  Submitted by:   Ganael Laplanche (maintainer)
  
  Revision  Changes    Path
  1.36      +8 -10     ports/multimedia/libdvdnav/Makefile
  1.9       +3 -3      ports/multimedia/libdvdnav/distinfo
  1.2       +8 -4      ports/multimedia/libdvdnav/files/patch-configure2
  1.9       +2 -2      ports/multimedia/libdvdnav/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Max Brazhnikov freebsd_committer 2010-09-14 19:59:57 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 7 ganael.laplanche 2010-09-15 14:56:57 UTC
On Tue, 14 Sep 2010 18:59:58 GMT, makc wrote

Hi Max,

> Synopsis: Port updates: multimedia/libdvdread and multimedia/libdvdnav 
> [...]
> http://www.freebsd.org/cgi/query-pr.cgi?pr=150450

There was a small typo in the previous patch (forgotten quotes for the CC
option), which makes the port un-buildable if you have want to use a space in
your compiler definition.  Find attached a small fix for that.

Reported by: Dominic Fandrey <kamikaze@bsdforen.de>

Best regards,

Ganael LAPLANCHE
ganael.laplanche@martymac.org
http://www.martymac.org | http://contribs.martymac.org
Comment 8 Max Brazhnikov freebsd_committer 2010-09-15 18:14:19 UTC
On Wed, 15 Sep 2010 15:56:57 +0200 (CEST), Ganael LAPLANCHE wrote:
> There was a small typo in the previous patch (forgotten quotes for the CC
> option), which makes the port un-buildable if you have want to use a space
> in your compiler definition.  Find attached a small fix for that.
> 
> Reported by: Dominic Fandrey <kamikaze@bsdforen.de>

Committed, thanks!

Max